echo off
REM ProdToTest.bat
REM
REM Convert security provisioning from a Test environment so that
REM it may be imported into Production.
REM
REM This recursively scans an unzipped Oracle PBCS/E-PBCS snapshot and
REM replace all instances of "planning-test" with "planning"
REM within the xml and csv files.
REM
REM Usage instructions:
REM 1. Open a DOS command prompt.  It does not matter which folder you are in.
REM 2. Paste the following line and press ENTER.  You need to do this just 1 time.
REM powershell.exe Set-ExecutionPolicy Unrestricted
REM 3. Download the application snapshot and unzip it using 7-zip.
REM 4. If the fully-qualified snapshot folder contains any spaces, remove them.
REM 5. Copy this script into the top-level folder of the unzipped snapshot.
REM 6. Copy ProdToTest.ps1 into the same folder
REM 7. Double-click ProdToTest.bat to run it.
REM 8. Zip up the snapshot using 7-zip and upload to Production.
REM 9. Import the snapshot using the best practice approach.
REM
REM  Written 05/01/2017 by Dave Shay (Datavail)
REM Modified MM/DD/YYYY by Your Name - Briefly list changes
REM Modified MM/DD/YYYY by Your Name - Briefly list changes

powershell %~dp0\ReplaceLCM.ps1 -editDir %~dp0 -old 'planning Power User' -new 'planning-test Power User'
powershell %~dp0\ReplaceLCM.ps1 -editDir %~dp0 -old 'planning Service Administrator' -new 'planning-test Service Administrator'
powershell %~dp0\ReplaceLCM.ps1 -editDir %~dp0 -old 'planning Viewer' -new 'planning-test Viewer'
powershell %~dp0\ReplaceLCM.ps1 -editDir %~dp0 -old 'planning User' -new 'planning-test User'

pause